### Method

# Ide Config get_environ

#### Declaration

    gchar**
    ide_config_get_environ (
      IdeConfig* self
    )

#### Description

Gets the environment to use when spawning processes.

Available since: | 3.32

Gets property | `Ide.Config:environ`

#### Return value

Returns: | An array of `utf8`
| An array of key=value environment variables.
| The array is `NULL`-terminated.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| Each element is a NUL terminated UTF-8 string.